<article class="card card--full card--process">
  <div class="row collapse card--process__row">
    <div class="columns mediumlarge-8 large-6 card--process__column">
      <div class="card__content">
        <%= link_to participatory_process_path(promoted_process), class: "card__link" do %>
          <h2 class="card__title"><%= translated_attribute promoted_process.title %></h2>
        <% end %>
        <%= decidim_sanitize html_truncate(translated_attribute(promoted_process.short_description), length: 630, separator: "...") %>
        <%= link_to participatory_process_path(promoted_process), class: "button secondary small hollow card__button" do %>
          <%= t("participatory_processes.promoted_process.more_info", scope: "layouts.decidim") %>
        <% end %>
      </div>
    </div>
    <div class="columns mediumlarge-8 large-6 card--process__column">
      <div class="card--full__image"
           style="background-image:url(<%= promoted_process.hero_image.url %>)">
        <div class="card__content row collapse">
          <div class="large-6 large-offset-6 columns">
            <% if promoted_process.active_step&.cta_path.present? %>
              <% cta_link = participatory_process_path(promoted_process) + "/" + promoted_process.active_step.cta_path %>
            <% else %>
              <% cta_link = participatory_process_path(promoted_process) %>
            <% end %>

            <%= link_to cta_link, class: "button expanded button--sc" do %>
              <% if translated_in_current_locale(promoted_process.active_step&.cta_text) %>
                <%= translated_attribute(promoted_process.active_step.cta_text) %>
              <% else %>
                <%= t("participatory_processes.promoted_process.take_part", scope: "layouts.decidim") %>
              <% end %>
              <% if promoted_process.active_step %>
                <span class="button__info">
                  <%= t("participatory_processes.promoted_process.active_step", scope: "layouts.decidim") %> <%= translated_attribute promoted_process.active_step.title %>
                </span>
              <% end %>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>
</article>
